## org.apache.fop.apps
Class MIFCommandLine

    java.lang.Object
      |
      +--org.apache.fop.apps.MIFCommandLine

public class MIFCommandLine
extends java.lang.Object

mainline class. Gets input and output filenames from the command line. Creates a SAX Parser (defaulting to Xerces).

Constructor Summary
`MIFCommandLine(java.lang.String[] args)`

Method Summary
`static org.xml.sax.InputSource` `fileInputSource(java.lang.String filename)` create an InputSource from a file name
`static void` `main(java.lang.String[] args)` mainline method first command line argument is input file second command line argument is output file
`void` `printUsage(java.lang.String arg)`
`void` `run()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MIFCommandLine

    public MIFCommandLine(java.lang.String[] args)

Method Detail

### printUsage

    public void printUsage(java.lang.String arg)

### run

    public void run()

### fileInputSource

    public static org.xml.sax.InputSource fileInputSource(java.lang.String filename)

  create an InputSource from a file name
  Parameters:
    `filename` - the name of the file
  Returns:
    the InputSource created

### main

    public static void main(java.lang.String[] args)

  mainline method first command line argument is input file second command line argument is output file
  Parameters:
    `command` - line arguments

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.